function DashboardChart3(widget) {
  "use strict";

  var model = openerp;

  widget.DashboardChartWidget3 = widget.Base.extend({

    BuildBarChart3: function (name,label,body,CurrencyBase) {
      var self = this;
      Chart.scaleService.updateScaleDefaults('linear', {
        ticks: {
          callback: function(tick) {
            return tick.toLocaleString('de-DE');
          }
        }
      });

      Chart.defaults.global.tooltips.callbacks.label = function(tooltipItem, data) {
        var dataset = data.datasets[tooltipItem.datasetIndex];
        var datasetLabel = dataset.label || '';
        return datasetLabel +  dataset.data[tooltipItem.index].toLocaleString('de-DE');
      };

      var color = [];
          color.push('#BCCEF4');
          color.push('#A9E5E3');
          color.push('#A0D995');
          color.push('#C5D084');
          color.push('#FAE187');
          color.push('#FFBD82');
          color.push('#FFA8B8');
          color.push('#E5BEDD');
          color.push('#C4ABFE');
          color.push('#D8D8D8');
          color.push('#F04155');
          color.push('#FF823A');
          color.push('#F2F26F');
          color.push('#FFF7BD');
          color.push('#95CFB7');
          color.push('#C6EA69');
          color.push('#20A377');
          color.push('#655DDD');
          color.push('#C95CE8');
          color.push('#E5A877');
          // #554236, #F77825, #D3CE3D, #F1EFA5, #60B99A, #96F29A, #EA919A, #E3B3F9, #58B501, #C93A24


      var chartData = {
        labels: label,
        datasets: [{
          label: false,
          type: 'horizontalBar',
          backgroundColor: color,
          data: body,
          fill: true,
        }]
      };

      var chart = new Chart($(name),{
        type: 'horizontalBar',
        data: chartData,
        options: {
          responsive: true,
          responsiveAnimationDuration:10,
          maintainAspectRatio:false,
          title: {
            display: false,
          },
          hover: {
            mode: 'nearest',
            intersect: true
          },
          legend: {
            display: false,
          },
          layout: {
            padding: {
              top: 0,
              bottom: 0,
              left : 0,
              rigth: 0,
            }
          },

          tooltips: {

            callbacks: {
              label: function(tooltipItem, data) {
                var label = data.datasets[tooltipItem.datasetIndex].label || '';
                if (label) {
                  label += ': ';
                }
                label += accounting.formatMoney(tooltipItem.xLabel, CurrencyBase.label, CurrencyBase.decimal_places, CurrencyBase.thousands_separator, CurrencyBase.decimal_separator);
                return label;
              }
            }
          }
        }
      });
    },
  });
}
